#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-HNVdvE12VVF2gRsMGGyufa
key:                  ghcide-1.9.1.0-HNVdvE12VVF2gRsMGGyufa
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  b7c80e2851fedaad4948c8bdcc59afef
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-HNVdvE12VVF2gRsMGGyufa
depends:
    Diff-0.4.1-AKwC4iweg6W5qdQDNZ7AdZ
    Glob-0.10.2-7RBcNCQuj9O8bxrbPJRYGR
    aeson-2.1.2.1-JfeHvfgWyvGEUkRmM0msk9
    aeson-pretty-0.8.10-JGcvAj50Ck2O3uzcZBl4F array-0.5.4.0
    async-2.2.5-ELClZ2Biisy1rHPWcYYXSd base-4.16.4.0
    base16-bytestring-1.0.2.0-A9wYMYPkQGuF1IeghmIXr6 binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-A5LsT2Hev12E0IVM96Pcon
    co-log-core-0.3.2.1-5tR49RAmcZN6iHycNvMuY7 containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-HhfPbmOUDpe7lNCWQmoNNG
    data-default-0.7.1.1-5ZDwKrRtuQLAGjVA8Z3KJ8 deepseq-1.4.6.1
    dependent-map-0.4.0.0-HGLWwpAyHlM7hs2pe4gQ5C
    dependent-sum-0.7.2.0-2Qsb83HyQ17Bgn1fBvennk directory-1.3.6.2
    dlist-1.0-3rGIivWoX8r4FDcy8caTmI
    enummapset-0.7.2.0-9Iz3Yz5R3mJEYRfXOzaxax exceptions-0.10.4
    extra-1.7.15-D0L0oAS7xGa5EyBG4sDkrp filepath-1.4.2.2
    fingertree-0.1.5.0-CDdBn3jepl120CllcFUToO
    focus-1.0.3.2-3T1Bh71AFLlFhEVN7plMk8 ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-JEr3KCVK5rz8HJHBjYiuvf
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-HNYNw12hTjoJ1HJ5QulaeW
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    hie-bios-0.11.0-DRm76CudcYpBy1dq3pgDns
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-LTrasdSa01C88Pwuowzo3r
    hls-graph-1.9.0.0-DGMFOQXEprfCL1qbURgkbr
    hls-plugin-api-1.6.0.0-BWipTvMVPkJIpRcob3QQXV
    hslogger-1.3.1.0-5q7rGOnSsaUAsNRWHDzdb6
    implicit-hie-0.1.2.7-C7m79tsaz7l8aX7iiSGEl9
    implicit-hie-cradle-0.5.0.1-82Mcn3tVwzyHcrOp5dfkhk
    lens-5.2.3-HVLgCuprAPTGajOsZQkVu9
    list-t-1.0.5.4-Cfmoaq4FmLgEJvTYPunZLE
    lsp-1.6.0.0-2msGTq9KlMrDltHEVWOPgd
    lsp-types-1.6.0.0-FIbafaJj3o6EJT6ZyxZqrx mtl-2.2.2
    opentelemetry-0.8.0-62MZTKZvx4xJKtJX1DS87g
    optparse-applicative-0.17.1.0-Jx8WaQbsFK9BJBRr9ePa2T
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-EpDMPqmBYmR4MhKdVLm3Ed
    prettyprinter-ansi-terminal-1.1.3-IhuzYREBaiv96ru8cpoQoY
    random-1.2.1.2-2yOTI1eGVjLBW6Bhz23AwM
    regex-tdfa-1.3.2.2-FFmB5WqnO0M8MI6OxJVmIS
    safe-exceptions-0.1.7.4-5AKuVK7kmhpKJbcu3Ke6ik
    sorted-list-0.2.2.0-5BUOiKc8fzcHkzKXLKLb1T
    sqlite-simple-0.4.19.0-8J1aYnGzFKl4J0h91IYIFr stm-2.5.0.2
    stm-containers-1.2.0.3-9Uo6acRRPTa9WFD3nK7mKi
    syb-0.7.2.4-IT59ozboet0H3NdhoNJGts text-1.2.5.0
    text-rope-0.2-1l7IlzUvSolLJV5cynx92t time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-HSvBnlUtq1BKiR3hl2ya2S
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4
    vector-0.13.1.0-9yg0eXztERcX0p96OKbL

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

